---
title: pydo.vector_databases.get()
description: Retrieve an Existing Vector Database
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/vector_databases/get/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.vector_databases.get()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.vector_databases.get(id="\"example string\"")
```

Returns `JSON`Raises `HttpResponseError`

## Description

To show information about an existing vector database, send a GET request to [`/v2/vector-databases/{id}`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get). The response body contains a JSON object with a `vector_db` key holding the standard vector database attributes, including an embedded `endpoints` object with the connection information needed to access the database.

## Parameters

`id` string required

ID of the vector database.

## Response Example

## Show Response Example

```json
{
  "vector_db": {
    "config": {
      "default_quantization": "example string",
      "enable_auto_schema": true,
      "weaviate_version": "example string"
    },
    "created_at": "2023-01-01T00:00:00Z",
    "endpoints": {
      "grpc": "my-db-tor1-a1b2c3d4-grpc.weaviate.ondigitalocean.com:443",
      "http": "https://my-db-tor1-a1b2c3d4.weaviate.ondigitalocean.com"
    },
    "forked_from_id": "123e4567-e89b-12d3-a456-426614174000",
    "id": "example string",
    "last_restore_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "example name",
    "owner_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "region": "tor1",
    "size": "example string",
    "status": "example string",
    "tags": [
      "example string"
    ],
    "updated_at": "2023-01-01T00:00:00Z"
  }
}
```

## More Information

See [`/v2/vector-databases/{id}`](https://docs.digitalocean.com/reference/api/reference/vector-databases/index.html.md#vectorDatabases_get) in the API reference for additional detail on responses, headers, parameters, and more.